#include <iostream>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    long long x,n,i,mali,veliki;
    scanf("%d%d",&n,&x);
    long long a[n];

    for(i=0;i<n;i++);
    {
        scanf("%d",&a[i]);
    }
    mali=a[0];
    veliki=a[0];

    for(i=0;i<n;i++)
    {
        if(a[i]>veliki) veliki=a[i];
        if(a[i]<mali) mali=a[i];
    }

    if (abs(x-mali)<abs(x-veliki))
         printf("%d",abs(x-mali)+veliki-mali);
    else
         printf("%d",abs(x-veliki)+veliki-mali);

    return 0;
}